<div class="container" style="width: 70%; padding-top: 25px;" *ngIf="datesEnteredF()">
    <p class="alert alert-danger">Choose starting dates for your selected trips</p>
</div>

<div class="container" style="width: 70%;" style="padding-top: 25px;">
    <div *ngFor="let reservation of allReservations" style="padding-bottom: 15px;">
        <div class="card">
            <div class="card-header">
                <h5 class="card-title" *ngIf="reservation['hotel']; else cruiser">  {{reservation['title']}}, {{reservation['hotel']['name']}} {{reservation['hotel']['stars']}}</h5>
                <ng-template #cruiser>
                    <h5 class="card-title">  {{reservation['title']}}, {{reservation['cruiser']['roomType']}}</h5>
                </ng-template>
                
            </div>
            <div class="card-body">
                <h6 class="card-subtitle text-muted"> <i>Includes: </i>{{reservation['includes']}} <span *ngIf="reservation['visits']"><i>  Visits:</i> {{reservation['visits']}}</span></h6>
                <mat-form-field>
                    <mat-label> Choose your start date: </mat-label>
                    <input matInput [matDatepicker]="myDatePicker" [min]="minDate" (dateChange)="onDateChange($event, reservation['no'])">
                    <mat-datepicker-toggle matSuffix [for]="myDatePicker"></mat-datepicker-toggle>
                    <mat-datepicker #myDatePicker></mat-datepicker>
                </mat-form-field>
                
                <h5 class="card-subtitle"> Price: {{reservation['numberOfDays'] * reservation['dailyPrice'] | currency:'EUR'}} </h5>
            </div>
        </div>
    </div>
</div>

<div class="container alert alert-secondary" style="width: 70%;">
    Total price: {{totalPrice() | currency:'EUR'}}
</div>

<div class="container" style="width: 70%; padding-top: 25px; padding-bottom: 25px;">
    <form [formGroup]="customerForm" (ngSubmit)="submitForm(customerForm.value)">
        
        <div class="form-group">
            <!-- <div class="alert alert-danger" *ngIf="name.errors?.required"> Name is required </div> -->
            <label for="name"> Name: <i>required</i></label>
            <input id="name" name="name" type="text" class="form-control" formControlName="name">
        </div>

        <div class="form-group">
            <!-- <div class="alert alert-danger" *ngIf="phone.errors?.required"> Phone is required </div> -->
            <!-- <div class="alert alert-danger" *ngIf="phone.errors?.minlength"> Phone too short</div> -->
            <label for="phone"> Phone:  <i>required, at least 5 characters</i></label>
            <input id="phone" name="phone" type="text" class="form-control" formControlName="phone">
        </div>

        <div class="d-flex justify-content-center">
            <button class="btn btn-success" type="submit" [disabled]="!customerForm.valid"> Confirm reservation ! </button>
        </div>

    </form>
</div>